GuidesAPI Reference
API Reference

Gets the status of a multipart upload.

Gets the status of a multipart upload. The status can be received only when the upload has been completed. Please keep in mind that the actual URL for this operation must be obtained from the response body of start multipart operation that is 'POST /layers/{layerId}/data/{dataHandle}/multiparts' from the 'status' element under the top level 'links' element of the response.

Path Params
string
required

The ID of the layer that the data blob part belongs to.

string
required

The data handle (ID) is an identifier for the data blob which the part belongs to. The data handle can only contain alphanumeric, '-' and '.' characters, [0-9, a-z, A-Z, -, .]. The maximum length of this field is 600 characters.

string
required

The identifier of the multipart upload (token). Content of this parameter must refer to a valid token which was provided when the multipart upload was initiated.

Query Params
string

Billing Tag is an optional free-form tag which is used for grouping billing records together. If supplied, it must be between 4 - 16 characters, contain only alphanumeric ASCII characters [A-Za-z0-9]. Grouping billing records by billing tag will be available in future releases.

Responses

401

Unauthorized

403

Forbidden

404

Not Found - multipart upload token doesn't exist.

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json